=== debian/changelog ===
mythtv (2:0.24.0+fixes.20110908.1de0431-0ubuntu1) oneiric; urgency=low

  * Change compile type to profile per discussion in #mythtv again.
  * New upstream checkout (1de0431)
  * >>Upstream changes since last upload (b491236):
  * [1de0431] Fix inefficiency in marking first/last showings without
    programids.
  * [4942639] Fix another invalid-string-format datetime binding.
  * [8b9e5ce] Fix invalid-string-format date passing to MySQL.
  * [4bba807] Use correct exception type for error handling. (cherry
    picked from commit 751a4111b55f629e574970fe5340e1408833180f)
  * [69e3919] Net Utils: Only select distinct grabbers.
  * [2e3105d] Fixed MiroBridge abort when Miro metadata has an invalid
    video filename
  * [d282ee2] Fixed Jamu unnecessary unicode declarations
  * [5655302] Fix a segfault in MythUIHelper::LoadCacheImage()
  * [4bc24ed] RingBuffer: add back inadvertantly removed code that
    allows the readahead thread to sleep when full.
  * [8028a58] MythBrowser: Change the user-agent string reported by the
    browser widget.
  * [c502e0d] Fix scheduler output ordering.
  * [515171d] Fix creation of row with autoincrement fields (cherry
    picked from commit e76745784032591caa79045cdec4e20f68175f89)
  * [39f6a97] Fix LiveTV channel browsing start channel.
  * [3a5f788] Fixes #9885. Fixes deadlock when a slave backend
    disconnect is first seen from within the Scheduler thread. Patch by
    Ian Dall.
  * [1cf65bc] RingBuffer: Optimize readahead buffer to completely fill
    if readblocksize > totfree.
  * [c212ca8] Fix Theme Chooser theme downloading on remote frontends.
  * [45ddada] Re-enable the delay for artwork loading in PlaybackBox
  * [d656310] Fixes #9575. Fix an ambiguous DB query (fixed by
    [d14b660c16] in master).
  * [5161a5f] Revert "Force reload of context and stream properties when
    switching between LiveTV segments."
  * [cccad82] Don't allow remote mythbackends to upgrade database.
  * [d525265] Fix mpeg2fix randomly aborting.  OBEY EAGAIN for
    av_read_frame! :) (cherry picked from commit
    1a41fec06ee2f6746c9ccb944efcf7ee62e52664)
  * [5be3cdf] Fix a QT warning about calling killTimer() with an invalid
    timer id. (cherry picked from commit
    7ad539e3a4ac21188672791b27dd8e5444a09cbb)
  * [760c8db] Fixes #9927. Make sure we always join the pthread in the
    DeviceReadBuffer.
  * [23305b9] Make sure DeviceReadBuffer::videodevice is never
    QString::null, this will cause the logging to segfault.
  * [56350fb] Backports a small portion of the RingBuffer improvements
    from master.
  * [8bc2a66] Fix PPC movrel issue in FFmpeg libs.
  * [be29d21] Fix endian issue in OSD color conversion
  * [b43b015] Merge branch 'fixes/0.24' of github.com:MythTV/mythtv into
    fixes/0.24
  * [cebd10c] Fix tzinfo handling in custom Python datetime class
  * [9024703] Bypass filesize query on recording if possible. Refs #9539
  * [ced1c78] Avoid updating the group info if the group hasn't changed.
    Closes #9539
  * [4f99949] Under some circumstances, using ALSA due to bad rounding,
    some audio samples would be lost.
  * [7d69703] Fix a deadlock in the socket handling causing the backend
    to stop responding to connections.
  * [051c748] Fix display of MiroBridge command line help
  * [63b8603] MythMusic: Don't append a '/' if the start directory
    hasn't been set yet.
  * [254c9f7] Add escaping of periods at the beginning of a movie title,
    to work around security mechanism in TMDB API. (cherry picked from
    commit 1c34d57bf2b5a862fb12d4e7600a8173cb8bd682)
  * [8f8d662] ttvdb grabber performance improvements Change Log: 1)
    Removed complex element tree searches from the XSLT stylesheet and
    substituted XPATH lxml functions 2) Minor docmentation corrections
  * [6dfda22] Additional patch to pick up changes missed in 944268c20
  * [944268c] Add Miro 4.0.2 support to MiroBridge   Change Log:   1)
    Added support for Miro 4.0.2   2) Silenced verbose output from
    ffmpeg when creating screen shots   3) Fixed oldrecording deletion
    abort when a source issues two videos that have identical publish
    dates and durations. Trapped error so no abort but also added every
    other unique DB field to deletion statment.   4) Minor error message
    corrections
  * [a59fa98] Extend the maximum transition times in mythgallery
  * [a466843] Shortcut the return from the new --fifoinfo mode
  * [488c7c1] Display format information for the fifo data
  * [90ac990] Permit remote transcode in fifodir case

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Thu, 08 Sep 2011 10:48:38 -0500

mythtv (2:0.24.0+fixes.20110706.b491236-0ubuntu1) oneiric; urgency=low

  [ Mario Limonciello ]
  * debian/mythtv.make:
    - Only parse the line if it *starts* with Version
  * Don't destroy VERSION in between runs, make sure to restore it to what
    was there before starting each time.
  * Install the icon from http://www.mythtv.org/wiki/Logo (LP: #458686)
    Thanks Daniel Ellis for the pointer!
  * New upstream checkout (b491236)
  * >>Upstream changes since last upload (9ba3ece):
  * [b491236] Tweak the EIT thread startup
  * [d06878a] OK, I'm blind.  Sorry.  Should still be using DVB not DTV
  * [5e67f94] Make EITScanner thread only be started when needed
  * [ef39225] Suspend recording list updates whilst playback is in
    progress as this causes issues for some people. This is likely a
    temporary fix while I work on something better. (cherry picked from
    commit 1bbc9a43eb63f1569f8b510c4588a439019b49dc)
  * [db67f84] Fixes #9716. for (int i... shadowed the int i we had
    declared earlier for that loop so we could check whether the for
    loop exited prematurely.
  * [04334ef] Remove unused directory
  * [fc3ce90] Allow stream_backend_file to accept a myth url (perl
    bindings)
  * [e3953dc] Fix stream_backend_file in the perl bindings
  * [c80795e] Work-around to handle display of high-numbered cards.
  * [4444dc5] Add missing QString argument

