=== debian/control ===
Source: mythtv
Section: graphics
Priority: optional
Maintainer: MythTV Ubuntu Maintainers <ubuntu-mythtv@lists.ubuntu.com>
Uploaders: Mario Limonciello <superm1@ubuntu.com>,
           Andres Mejia <mcitadel@gmail.com>,
Homepage: http://www.mythtv.org
Standards-Version: 3.8.4
Vcs-Bzr: bzr+ssh://bazaar.launchpad.net/~mythbuntu/mythtv/mythtv-fixes
Vcs-Browser: http://bazaar.launchpad.net/~mythbuntu/mythtv/mythtv-fixes
Build-Conflicts: libqt3-mt-dev
Build-Depends:  debhelper (>= 7.0.50~),
                quilt,
                ccache,
                yasm,
                libqt4-dev,
                libqtwebkit-dev | libqt4-webkit-dev | libqt4-dev (<< 4:4.7.0~beta1),
                libqt4-opengl-dev,
                libdvb-dev,
                po-debconf,
                texi2html,
                python-central,
                linux-kernel-headers,
                libdvdnav-dev,
                libfreetype6-dev,
                libavc1394-dev,
                libiec61883-dev (>= 1.0.0),
                liblircclient-dev,
                libxinerama-dev | xlibs-static-dev (<< 6.8.1-1),
                libxxf86vm-dev | xlibs-static-dev (<< 6.8.1-1),
                libmysqlclient16-dev,
                libxvmc-dev | xlibs-static-dev (<< 6.8.1-1),
                libxext-dev | xlibs-static-dev (<< 6.8.1-1),
                libimlib2-dev,
                libasound2-dev,
                libmp3lame-dev | liblame-dev,
                libvorbis-dev,
                libdts-dev,
                lsb-release,
                libpulse-dev,
                libxrandr-dev,
                libfftw3-dev,
                libvdpau-dev [i386 amd64 armel] | nvidia-190-libvdpau-dev [i386 amd64] | nvidia-185-libvdpau-dev [i386 amd64] | nvidia-180-libvdpau-dev [i386 amd64],
                libudev-dev,
                libclass-dbi-perl,
                libnet-upnp-perl,
                libwww-perl,
                python-oauth,
                python-lxml,
                python-mysqldb,
                python-pycurl,
                libgl1-mesa-dev | xlibmesa-gl-dev | xlibmesa-dev | libgl-dev,
                libdvdread-dev | libdvdread3-dev,
                fftw-dev,
                libvorbis-dev,
                libflac-dev,
                libmad0-dev,
                libcdaudio-dev,
                libcdparanoia-dev | libcdparanoia0-dev,
                libsdl1.2-dev,
                libfaad-dev | libfaad2-dev,
                libexif-dev (>= 0.6.9-6),
                libfaac-dev,
                libtiff4-dev | libtiff-dev,
                libxv-dev,
                libtag1-dev,
                libvisual-0.4-dev,
                libmysqlclient16-dev | libmysqlclient15-dev,
                libdate-manip-perl,
                libxml-simple-perl,
                libimage-size-perl,
                libdatetime-format-iso8601-perl,
                libsoap-lite-perl,
                libxml-xpath-perl

Package: mythtv
Architecture: all
Depends: mysql-server, mythtv-database, mythtv-frontend, mythtv-backend, ntp | time-daemon | ntp-simple, ${misc:Depends}
Suggests: mythtv-doc
Description: A personal video recorder application (client and server)
 MythTV implements the following PVR features, and more, with a
 unified graphical interface:
 .
  - Basic 'live-tv' functionality. Pause/Fast Forward/Rewind "live" TV.
  - Video compression using RTjpeg or MPEG-4
  - Program listing retrieval using XMLTV
  - Themable, semi-transparent on-screen display
  - Electronic program guide
  - Scheduled recording of TV programs
  - Resolution of conflicts between scheduled recordings
  - Basic video editing
 .
 http://www.mythtv.org/
 .
 This package will install a complete MythTV client/server environment on a
 single system.  If you are intended on using this as your only MythTV machine,
 and this machine is already configured as a desktop, this package will get you
 up and running switfly.
 .
 If you are intended on installing this on a standalone/non-desktop machine,
 you should look into the metapackages available:
 mythtv-backend-master (backend with a local database)
 mythtv-backend (backend needing a remote database)

Package: mythtv-common
Architecture: any
Depends: pwgen, adduser, mysql-client, ttf-freefont, ttf-liberation, ttf-droid, ttf-dejavu, python, ${shlibs:Depends}, ${misc:Depends}
Suggests: mythtv-doc
Conflicts: mythtv (<< 0.8-1), mythmusic (<< 0.20.99+trunk14393), mythweather (<< 0.20.99+trunk14393), mythcontrols, mythtv-theme-mythcenter, mythtv-theme-mythcenter-wide, mythtv-theme-gray-osd, mythtv-theme-isthmus
Replaces: mythtv (<< 0.8-1), mythtv-frontend (<< 0.23.0~trunk23548), mythmusic (<< 0.20.99+trunk14393), mythweather (<< 0.20.99+trunk14393), mythcontrols (<< 0.20.trunk19500), mythcontrols, mythtv-theme-mythcenter, mythtv-theme-mythcenter-wide, mythtv-theme-isthmus, mythtv-theme-gray-osd, mythtv-theme-mythbuntu, mythtv-backend (<< 1:0.24.0+fixes27252), mythtv-database (<< 0.24.0~trunk25638)
Breaks: mythtv-backend (<< 1:0.24.0+fixes27252)
Description: A personal video recorder application (common data)
 MythTV provides a unified graphical interface for recording and viewing
 television programs. Refer to the mythtv package for more information.
 .
 This package contains infrastructure needed by both the client and the
 server.

Package: mythtv-doc
Architecture: all
Conflicts: mythtv (<< 0.8-1)
Section: doc
Replaces: mythtv (<< 0.8-1)
Depends: ${misc:Depends}
Description: A personal video recorder application (documentation)
 MythTV provides a unified graphical interface for recording and viewing
 television programs. Refer to the mythtv package for more information.
 .
 This package contains documentation, including the MythTV HOWTO.

Package: mythtv-database
Architecture: all
Depends: mythtv-common, libdbd-mysql-perl, mysql-client, cron, ${misc:Depends}
Recommends: update-notifier | update-notifier-kde | adept-notifier
Conflicts: mythtv (<< 0.8-1), mythtv-common (<< 0.8-2)
Replaces: mythtv (<< 0.8-1), mythtv-common (<< 0.8-2)
Description: A personal video recorder application (database)
 MythTV provides a unified graphical interface for recording and viewing
 television programs. Refer to the mythtv package for more information.
 .
 This package sets up a MySQL database for use by MythTV. It should be
 installed on the system where the MySQL server resides.

Package: mythtv-backend
Architecture: any
Depends: mythtv-common, mythtv-transcode-utils, ${shlibs:Depends}, cron, wget, zenity | kdebase-bin, gksu | kdebase-bin, xterm, python, ${misc:Depends}
Conflicts: mythtv (<< 0.8-1)
Replaces: mythtv (<< 0.8-1), mythtv-frontend (<= 0.20-0.4)
Recommends: ntp | time-daemon | ntp-simple, logrotate, libmyth-python, libmythtv-perl
Suggests: mythtv-frontend, mythweb, mythtv-database, xmltv-util
Description: A personal video recorder application (server)
 MythTV provides a unified graphical interface for recording and viewing
 television programs. Refer to the mythtv package for more information.
 .
 This package contains only the server software, which provides video and
 audio capture and encoding services. In order to be useful, it requires a
 mythtv-frontend installation, either on the same system or one reachable
 via the network.
 .
 A database is also required. The mythtv-database package must be installed,
 either on the same system, or one reachable via the network.
 .
 For a complete installation of all MythTV components, install the 'mythtv'
 package.

Package: mythtv-transcode-utils
Architecture: any
Depends: mythtv-common, ${shlibs:Depends}, ${misc:Depends}
Conflicts: mythtv-backend (<< 0.20.2-0ubuntu1)
Replaces: mythtv-backend (<< 0.20.2-0ubuntu1)
Suggests: mythtv-backend, mytharchive
Description: Utilities used for transcoding MythTV tasks
 Some utilities are applicable for both a frontend or a backend machine.
 This package provides utilities that can be used on both without
 requiring an entire backend to be installed.

Package: mythtv-frontend
Architecture: any
Depends: mythtv-common, ${shlibs:Depends}, adduser, zenity | kdebase-bin, gksu | kdebase-bin, wmctrl, libnotify-bin, ${misc:Depends}
Recommends: libmyth-python, libmythtv-perl
Suggests: mythtv-backend, mythmusic, mythweather, mythgallery, mythvideo, mythgame, ntp | time-daemon | ntp-simple
Conflicts: mythtv (<< 0.8-1), mythappearance (<< 0.21.0), mythstream (<< 0.21.0), mythflix (<< 0.23.0)
Replaces: mythtv (<< 0.8-1),  mythappearance (<< 0.21.0)
Description: A personal video recorder application (client)
 MythTV provides a unified graphical interface for recording and viewing
 television programs. Refer to the mythtv package for more information.
 .
 This package contains only the client software, which provides a front-end
 for playback and configuration. It requires access to a mythtv-backend
 installation, either on the same system or one reachable via the network.
 .
 A database is also required. The mythtv-database package must be installed,
 either on the same system, or one reachable via the network.
 .
 For a complete installation of all MythTV components, install the 'mythtv'
 package.

Package: libmyth-0.24-0
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, libqt4-sql-mysql, ${misc:Depends}
Conflicts: mythtv (<< 0.7-5), libmyth-0.23-0
Replaces: mythtv (<< 0.7-5), libmyth-0.23-0
Description: Common library code for MythTV and add-on modules (runtime)
 MythTV provides a unified graphical interface for recording and viewing
 television programs. Refer to the mythtv package for more information.
 .
 This package contains a shared library, libmyth, which is used by various
 components in the system.

Package: libmyth-dev
Architecture: any
Section: libdevel
Depends: libmyth-0.24-0 (= ${binary:Version}), ${misc:Depends}
Provides: libmyth-0.24-0-dev
Conflicts: libmyth-0.24-0-dev
Description: Common library code for MythTV and add-on modules (development)
 MythTV provides a unified graphical interface for recording and viewing
 television programs. Refer to the mythtv package for more information.
 .
 This package contains files needed for developing applications which use
 libmyth (such as the various add-ons for MythTV)

Package: libmythtv-perl
Architecture: all
Section: perl
Depends: ${misc:Depends}, ${perl:Depends}, libdbi-perl, libdbd-mysql-perl, libnet-upnp-perl
Replaces: mythtv-common (<< 0.20.98 ), libmyth-perl
Conflicts: mythtv-common (<< 0.20.98 ), libmyth-perl
Description: A PERL library to access some MythTV features
 MythTV provides a unified graphical interface for recording and viewing
 television programs. Refer to the mythtv package for more information.
 .
 This package contains files needed for some PERL MythTV add-ons like
 nuvexport or mythrename.pl.

Package: libmyth-python
Architecture: all
Section: libs
Depends: ${python:Depends}, python-mysqldb, python-lxml, ${misc:Depends}
Replaces: mythtv-common (<< 0.20.98 )
Conflicts: mythtv-common (<< 0.20.98 )
Description: A python library to access some MythTV features
 MythTV provides a unified graphical interface for recording and viewing
 television programs. Refer to the mythtv package for more information.
 .
 This package contains files needed for some python MythTV add-ons.


Package: mythtv-backend-master
Architecture: all
Section: metapackages
Depends: mysql-server, ntp | time-daemon | ntp-simple, mythtv-database, mythtv-backend, ${misc:Depends}
Recommends: mythweb
Description: Metapackage to setup and configure a "Master Backend" profile of MythTV.
 This meta-package will install and configure all necessary packages for this 
 machine to behave as a "Master" Backend for a mythtv network.  This package 
 is intended to be installed on the machine that will behave as the first 
 (and possibly only) backend for the network.  Typically, this package will be
 installed on a server rather then a desktop. It makes no sense to install it 
 on anything but the first backend machine on the network.

Package: mythtv-dbg
Architecture: any
